Через год будет прекращена поддержка Google Earth API

Через год будет прекращена поддержка Google Earth API

Компания Google приняла решение закрыть в будущем Google Earth API для сторонних разработчиков. Поддержка API будет осуществляться еще на протяжении одного года — до 12 декабря 2015 года.

В Google назвали несколько причин отказа от дальнейшей поддержки Google Earth API. Одна из них — вопросы безопасности. Дело в том, что для работы этого API используется инфраструктура плагинов NPAPI. Недавно из соображений безопасности в браузерах Chrome и Firefox была прекращена поддержка NPAPI, что делает невозможным работу Google Earth API в новых версиях браузеров. Вместе с тем, сокращение кросс-платформенной поддержки (особенно в мобильных устройствах) сделало применение Google Earth API нецелесообразным для разработчиков.

На протяжении оставшегося периода поддержки все еще можно будет использовать функциональные возможности Google Earth API. Для этого предстоит работать в перечисленных ниже браузерах.

Для Microsoft Windows XP, Vista, 7 и 8:

  • Google Chrome 5.0-39.0 (32-битные версии);
  • Internet Explorer 7-9, 10-11 с Compatibility View (32-битные версии). Однако нужно учесть, что в режиме нового интерфейса Windows 8 браузер Internet Explorer не поддерживает плагины;
  • Firefox 11.0-34.0.

Для Apple Mac OS X 10.6 и новее (любой Mac с процессорами Intel):

  • Google Chrome 5.0-39.0 (32-битные версии);
  • Safari 3.1+;
  • Firefox 11.0-34.0.

Дополнительно отмечается, что через год будет прекращена поддержка Google Earth API для сторонних разработчиков, но сам сервис Google Earth продолжит работать.

Источник: Betanews